# 
# * 6.2 Методы словаря. Перебор его элементов в цикле
# 
'''
Подвиг 3. Вводится строка из русских букв и символов пробела.
Необходимо ее закодировать азбукой Морзе, где каждой букве ставится в 
соответствие код из точки и тире. После каждой закодированной буквы должен
стоять пробел (символ окончания кода буквы). После последнего кода пробела 
быть не должно (в конце строки).
Коды азбуки Морзе приведены ниже для русского алфавита и символа пробела:
А    .-	    М    --	    Ш    ----
Б    -...	Н    -.	    Щ    --.-
В    .--	О    ---	Ъ    --.--
Г    --.	П    .--.	Ы    -.--
Д    -..	Р    .-.	Ь    -..-
Е (Ё)    .	С    ...	Э    ..-..
Ж    ...-	Т    -	    Ю    ..--
З    --..	У    ..-	Я    .-.-
И    ..	    Ф    ..-.	' '    -...-
Й    .---	Х    ....	 
К    -.-	Ц    -.-.	 
Л    .-..	Ч    ---.	 
Результат кодирования вывести в виде строки.
P. S. Для очень ленивых готовый словарь азбуки Морзе можно скачать по адресу:
https://github.com/selfedu-rus/others (файл morze-dict.py).
Для практики лучше его составить самостоятельно.
Да, работа программиста иногда связана и с такой рутиной.
Sample Input:
Сергей Балакирев
Sample Output:
... . .-. --. . .--- -...- -... .- .-.. .- -.- .. .-. . .--
'''

# morze = {
#     'А': '.-',
#     'Б': '-...',
#     'В': '.--',
#     'Г': '--.',
#     'Д': '-..',
#     'Е': '.',
#     'Ё': '.',
#     'Ж': '...-',
#     'З': '--..',
#     'И': '..',
#     'Й': '.---',
#     'К': '-.-',
#     'Л': '.-..',
#     'М': '--',
#     'Н': '-.',
#     'О': '---',
#     'П': '.--.',
#     'Р': '.-.',
#     'С': '...',
#     'Т': '-',
#     'У': '..-',
#     'Ф': '..-.',
#     'Х': '....',
#     'Ц': '-.-.',
#     'Ч': '---.',
#     'Ш': '----',
#     'Щ': '--.-',
#     'Ъ': '--.--',
#     'Ы': '-.--',
#     'Ь': '-..-',
#     'Э': '..-..',
#     'Ю': '..--',
#     'Я': '.-.-',
#     ' ': '-...-'
# }
# res = [morze[l] for l in input().upper()]
# print(*res)

'''
Подвиг 4. Имеется закодированная строка с помощью азбуки Морзе. 
Коды разделены между собой пробелом. Необходимо ее раскодировать, 
используя азбуку Морзе из предыдущего занятия. 
Полученное сообщение (строку) вывести на экран.
Sample Input:
.-- ... . -...- .-- . .-. -. ---
Sample Output:
все верно
'''
# res = [list(morze.keys())[list(morze.values()).index(l)] for l in input().split()]
# print(''.join(res).lower())

'''
Подвиг 5. Вводится список целых чисел в одну строчку через пробел.
С помощью словаря выделите только уникальные (не повторяющиеся) введенные
значения и, затем, сформируйте список из уникальных чисел.
Выведите его на экран в виде набора чисел, записанных через пробел.
P. S. Такая задача, обычно решается через множества, но мы их еще не проходили, поэтому воспользуемся словарем.
Sample Input:
8 11 -4 5 2 11 4 8
Sample Output:
8 11 -4 5 2 4
'''

# d = dict.fromkeys([int(key) for key in input().split()])
# print(*d.keys())

'''
Подвиг 6. Вводятся данные в формате:
<день рождения 1> имя_1
<день рождения 2> имя_2
...
<день рождения N> имя_N
Дни рождений и имена могут повторяться. На их основе сформировать словарь и вывести его в формате (см. пример ниже):
день рождения 1: имя1, ..., имяN1
день рождения 2: имя1, ..., имяN2
...
день рождения M: имя1, ..., имяNM
P. S. Для считывания списка целиком в программе уже записаны начальные строчки.
Sample Input:
3 Сергей
5 Николай
4 Елена
7 Владимир
5 Юлия
4 Светлана
Sample Output:
3: Сергей
5: Николай, Юлия
4: Елена, Светлана
7: Владимир
'''

# import sys
# # считывание списка из входного потока
# lst_in = list(map(str.strip, sys.stdin.readlines()))
# # здесь продолжайте программу (используйте список lst_in)
# d = dict([[s.split()[0], [d.split()[1] for d in lst_in if d.split()[0] == s.split()[0]]] for s in lst_in])
# for key, val in d.items():
#     print(f'{key}: {", ".join(val)}')

'''
Подвиг 7. Имеется словарь с наименованиями предметов и их весом (в граммах):
things = {'карандаш': 20, 'зеркальце': 100, 'зонт': 500, 'рубашка': 300, 
          'брюки': 1000, 'бумага': 200, 'молоток': 600, 'пила': 400, 'удочка': 1200,
          'расческа': 40, 'котелок': 820, 'палатка': 5240, 'брезент': 2130, 'спички': 10}
Сергей собирается в поход и готов взвалить на свои хрупкие плечи максимальный
вес в N кг (вводится с клавиатуры). Он решил класть в рюкзак предметы в порядке 
убывания их веса (сначала самые тяжелые, затем, все более легкие) так, чтобы их 
суммарный вес не превысил значения N кг. Все предметы даны в единственном экземпляре.
Выведите список предметов (в строчку через пробел), которые берет с собой Сергей в порядке 
убывания их веса.
P. S. 1 кг = 1000 грамм
Sample Input:
10
Sample Output:
палатка брезент удочка брюки пила карандаш спички
'''

things = {'карандаш': 20, 'зеркальце': 100, 'зонт': 500, 'рубашка': 300, 
    'брюки': 1000, 'бумага': 200, 'молоток': 600, 'пила': 400, 'удочка': 1200,
    'расческа': 40, 'котелок': 820, 'палатка': 5240, 'брезент': 2130, 'спички': 10}
max_w = 1000 * int(input())
w = 0
lst = []
for thing, weight in sorted(things.items(),key=lambda x: x[1],reverse=True):
    if w + weight <= max_w:
        lst.append(thing)
        w += weight
print(*lst)
